Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.graph
Class GraphTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.graph.GraphTag`

All Implemented Interfaces:
  GraphConstants, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class GraphTag
extends javax.servlet.jsp.tagext.TagSupport
implements GraphConstants

See Also:
  Serialized Form

Field Summary
`protected static boolean` | `cleanupRegistered` register listener to clean up
`protected java.lang.Object` | `dataExpr`
`protected java.lang.String` | `graphType`
`protected int` | `graphTypeAsInt`
`protected static java.lang.String` | `prefixString` unique prefix., used while generating key for image objects stored in the session.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface oracle.jbo.html.jsp.graph.GraphConstants
`BUBBLE_CHART, BUBBLE_CHART_DUAL_AXIS, BUBBLE_CHART_LABELS, BUBBLE_CHART_LABELS_DUAL_AXIS, CANDLE_STOCK_HI_LO_OPEN_CLOSE, CANDLE_STOCK_HI_LO_OPEN_CLOSE_VOLUME, HORIZONTAL_ABSOLUTE_AREA, HORIZONTAL_ABSOLUTE_LINE, HORIZONTAL_BI_POLAR_ABSOLUTE_AREA, HORIZONTAL_BI_POLAR_ABSOLUTE_LINE, HORIZONTAL_BI_POLAR_CLUSTERED_BARS, HORIZONTAL_BI_POLAR_STACKED_AREA, HORIZONTAL_BI_POLAR_STACKED_BARS, HORIZONTAL_BI_POLAR_STACKED_LINE, HORIZONTAL_CLUSTERED_BARS, HORIZONTAL_DUAL_AXIS_ABSOLUTE_LINE, HORIZONTAL_DUAL_AXIS_CLUSTERED_BARS, HORIZONTAL_DUAL_AXIS_STACKED_BARS, HORIZONTAL_DUAL_AXIS_STACKED_LINE, HORIZONTAL_HISTOGRAM, HORIZONTAL_PERCENT_AREA, HORIZONTAL_PERCENT_BARS, HORIZONTAL_PERCENT_LINE, HORIZONTAL_STACKED_AREA, HORIZONTAL_STACKED_BARS, HORIZONTAL_STACKED_LINE, MULTI_PIE, MULTI_PROPORTIONAL_PIE, MULTI_PROPORTIONAL_RING_PIE, MULTI_RING_PIE, OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART, OPEN_HI_LO_CLOSE_CANDLE_STOCK_CHART_VOLUME, PIE, PIE_BAR_CHART, POLAR, POLAR_DUAL_AXIS, RADAR_AREA, RADAR_LINE, RADAR_LINE_DUAL_AXIS, RING_PIE, RING_PIE_BAR_CHART, SPECTRAL_MAP, STOCK_HI_LO, STOCK_HI_LO_BI_POLAR, STOCK_HI_LO_CLOSE, STOCK_HI_LO_CLOSE_DUAL_AXIS, STOCK_HI_LO_DUAL_AXIS, STOCK_HI_LO_OPEN_CLOSE, STOCK_HI_LO_OPEN_CLOSE_BI_POLAR, STOCK_HI_LO_OPEN_CLOSE_DUAL_AXIS, STOCK_HI_LO_OPEN_CLOSE_VOLUME, STOCK_HI_LO_VOLUME, THREED_BARS, THREED_FLOATING_CONNECTED_GROUP_AREA, THREED_FLOATING_CONNECTED_GROUP_RIBBON, THREED_FLOATING_CONNECTED_SERIES_AREA, THREED_FLOATING_CONNECTED_SERIES_RIBBON, THREED_FLOATING_CUBES, THREED_FLOATING_PYRAMIDS, THREED_HONEYCOMB_SURFACE, THREED_OCTAGONS, THREED_PYRAMIDS, THREED_SURFACE, THREED_SURFACE_WITH_SIDES, VERTICAL_ABSOLUTE_AREA, VERTICAL_ABSOLUTE_LINE, VERTICAL_BI_POLAR_ABSOLUTE_AREA, VERTICAL_BI_POLAR_ABSOLUTE_LINE, VERTICAL_BI_POLAR_CLUSTERED_BARS, VERTICAL_BI_POLAR_STACKED_AREA, VERTICAL_BI_POLAR_STACKED_BARS, VERTICAL_BI_POLAR_STACKED_LINE, VERTICAL_CLUSTERED_BARS, VERTICAL_DUAL_AXIS_ABSOLUTE_LINE, VERTICAL_DUAL_AXIS_CLUSTERED_BARS, VERTICAL_DUAL_AXIS_STACKED_BARS, VERTICAL_DUAL_AXIS_STACKED_LINE, VERTICAL_HISTOGRAM, VERTICAL_PERCENT_AREA, VERTICAL_PERCENT_BARS, VERTICAL_PERCENT_LINE, VERTICAL_STACKED_AREA, VERTICAL_STACKED_BARS, VERTICAL_STACKED_LINE, XY_SCATTER, XY_SCATTER_DUAL_AXIS, XY_SCATTER_WITH_LABELS, XY_SCATTER_WITH_LABELS_DUAL_AXIS`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GraphTag()`

Method Summary
`int` | `doEndTag()` Graph tag body will include SingleTableGraph/MasterDetailGraph, which will supply the required data
`int` | `doStartTag()` Process the start tag for this instance.
`static void` | `generateImage(javax.servlet.http.HttpServletResponse response, java.io.ByteArrayOutputStream bos)`
`static void` | `generateImage(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected static java.lang.String` | `generateUniqueId()` generated an unique id to identify chart., used in the url parameter
`java.lang.Object` | `getData()`
`oracle.dss.graph.Graph` | `getGraph()`
`java.lang.String` | `getGraphType()`
`protected int` | `getGraphTypeAsInt()`
`static java.lang.String` | `getIDParamName()`
`int` | `getImageHeight()`
`int` | `getImageWidth()`
`java.lang.String` | `getServletName()`
`java.lang.String` | `getUsemap()`
`protected void` | `registerCleanup()` register HTTP Session binding listner to cleanup the chart objects generated in this session
`void` | `release()` release() called after doEndTag() to reset state
`static int` | `s2i(java.lang.String s)`
`void` | `setData(java.lang.Object dataExpr)`
`void` | `setGraphType(java.lang.String s)`
`protected void` | `setGraphTypeAsInt(int i)`
`void` | `setImageHeight(int height)`
`void` | `setImageWidth(int width)`
`void` | `setServletName(java.lang.String servletName)`
`void` | `setUsemap(java.lang.String usemap)`
`protected void` | `unregisterCleanup()` unregister HTTP Session binding listner used to cleanup the chart objects generated in this session

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphType

    protected java.lang.String graphType

### graphTypeAsInt

    protected int graphTypeAsInt

### dataExpr

    protected java.lang.Object dataExpr

### cleanupRegistered

    protected static boolean cleanupRegistered

  register listener to clean up

### prefixString

    protected static java.lang.String prefixString

  unique prefix., used while generating key for image objects stored in the session. Later used in cleanup when the session expires

Constructor Detail

### GraphTag

    public GraphTag()

Method Detail

### getGraph

    public oracle.dss.graph.Graph getGraph()

### s2i

    public static int s2i(java.lang.String s)

### setGraphType

    public void setGraphType(java.lang.String s)

### getGraphType

    public java.lang.String getGraphType()

### setGraphTypeAsInt

    protected void setGraphTypeAsInt(int i)

### getGraphTypeAsInt

    protected int getGraphTypeAsInt()

### setImageWidth

    public void setImageWidth(int width)

### getImageWidth

    public int getImageWidth()

### setImageHeight

    public void setImageHeight(int height)

### getImageHeight

    public int getImageHeight()

### setServletName

    public void setServletName(java.lang.String servletName)

### getServletName

    public java.lang.String getServletName()

### getIDParamName

    public static java.lang.String getIDParamName()

### setData

    public void setData(java.lang.Object dataExpr)

### getData

    public java.lang.Object getData()

### setUsemap

    public void setUsemap(java.lang.String usemap)

### getUsemap

    public java.lang.String getUsemap()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    EVAL_BODY_INCLUDE if the tag wants to process body, SKIP_BODY if it does not want to process it.
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Graph tag body will include SingleTableGraph/MasterDetailGraph, which will supply the required data
  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  release() called after doEndTag() to reset state
  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`

### registerCleanup

    protected void registerCleanup()

  register HTTP Session binding listner to cleanup the chart objects generated in this session

### unregisterCleanup

    protected void unregisterCleanup()

  unregister HTTP Session binding listner used to cleanup the chart objects generated in this session

### generateUniqueId

    protected static java.lang.String generateUniqueId()

  generated an unique id to identify chart., used in the url parameter

### generateImage

    public static void generateImage(javax.servlet.http.HttpSession session,
                                     javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### generateImage

    public static void generateImage(javax.servlet.http.HttpServletResponse response,
                                     java.io.ByteArrayOutputStream bos)
                              throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.